package com.mortals.xhx.module.feedback.model;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.feedback.model.vo.FeedbackAnswerOptionVo;
import lombok.Data;
/**
* 绩效问题回答选项实体对象
*
* @author zxfei
* @date 2023-07-05
*/
@Data
public class FeedbackAnswerOptionEntity extends FeedbackAnswerOptionVo {
    private static final long serialVersionUID = 1L;

    /**
    * 回答问题id号
    */
    private Long answerId;
    /**
    * 选项id号
    */
    private Long optionId;
    /**
    * 选项内容
    */
    private String optionContent;
    /**
    * 备注
    */
    private String remark;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof FeedbackAnswerOptionEntity) {
            FeedbackAnswerOptionEntity tmp = (FeedbackAnswerOptionEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){

            this.answerId = 0L;

            this.optionId = 0L;

            this.optionContent = "";

            this.remark = "";
    }
}